Subject: Re: [PATCH net-next v1 3/4] net: phy: do not force EEE support

From: Andrew Lunn <[email-masked]>
Date: Mon, 20 Feb 2023 16:48:26 +0100

> Hm.. ethtool do not provide enough information about expected behavior.
> Here is my expectation:
> - "ethtool --set-eee lan1 eee on" should enable EEE if it is disabled.
> - "ethtool --set-eee lan1 advertise 0x10" should change set of
>   advertised modes.
> - a sequence of "..advertise 0x10", "..eee on", "eee off" should restore
>   preconfigured advertise modes. advertising_eee instead of
>   supported_eee.

I agree ethtool is not very well documented. However, i would follow
what -s does. You can pass link modes you want to advertise, and you
can turn auto-neg on and off. Does turning auto-neg off and on again
reset the links modes which are advertised? I don't actually know, but
i think the behaviour should be consistent for link modes and EEE
modes.

	Andrew